/**
 * <copyright>
 * </copyright>
 *
 * $Id: SQLDistinctTypeValidator.java,v 1.1 2008-04-01 09:35:22 vmahe Exp $
 */
package orgomg.cwm.resource.relational.validation;

import orgomg.cwm.resource.relational.SQLSimpleType;

/**
 * A sample validator interface for {@link orgomg.cwm.resource.relational.SQLDistinctType}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface SQLDistinctTypeValidator {
	boolean validate();

	boolean validateLength(long value);
	boolean validatePrecision(long value);
	boolean validateScale(long value);
	boolean validateSqlSimpleType(SQLSimpleType value);
}
